/*
 * This file was generated by the CommonAPI Generators.
 * Used org.genivi.commonapi.someip 3.2.0.v202012010944.
 * Used org.franca.core 0.13.1.201807231814.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at
 * http://mozilla.org/MPL/2.0/.
 */
#include <v1/commonapi/telux/cv2x/Cv2xRadioTypesSomeIPStubAdapter.hpp>
#include <v1/commonapi/telux/cv2x/Cv2xRadioTypes.hpp>

#if !defined (COMMONAPI_INTERNAL_COMPILATION)
#define COMMONAPI_INTERNAL_COMPILATION
#define HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

#include <CommonAPI/SomeIP/AddressTranslator.hpp>

#if defined (HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE)
#undef COMMONAPI_INTERNAL_COMPILATION
#undef HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

namespace v1 {
namespace commonapi {
namespace telux {
namespace cv2x {

std::shared_ptr<CommonAPI::SomeIP::StubAdapter> createCv2xRadioTypesSomeIPStubAdapter(
                   const CommonAPI::SomeIP::Address &_address,
                   const std::shared_ptr<CommonAPI::SomeIP::ProxyConnection> &_connection,
                   const std::shared_ptr<CommonAPI::StubBase> &_stub) {
    return std::make_shared< Cv2xRadioTypesSomeIPStubAdapter<::v1::commonapi::telux::cv2x::Cv2xRadioTypesStub, ::v1::commonapi::telux::common::CommonDefinesStub>>(_address, _connection, _stub);
}

void initializeCv2xRadioTypesSomeIPStubAdapter() {
    CommonAPI::SomeIP::Factory::get()->registerStubAdapterCreateMethod(
        "commonapi.telux.cv2x.Cv2xRadioTypes:v1_0",
        &createCv2xRadioTypesSomeIPStubAdapter);
}

INITIALIZER(registerCv2xRadioTypesSomeIPStubAdapter) {
    CommonAPI::SomeIP::Factory::get()->registerInterface(initializeCv2xRadioTypesSomeIPStubAdapter);
}

} // namespace cv2x
} // namespace telux
} // namespace commonapi
} // namespace v1
